SQLR-EXPORT(1)

NAME
sqlr-export - manual page for sqlr-export 1.9.3

SYNOPSIS
sqlr-export [OPTIONS]

DESCRIPTION
sqlr-export is the SQL Relay database object export utility.

Export a database object for import later or elsewhere using sqlr-import.

OPTIONS

  Connection options:

-host host
    Host name or IP address of the server to connect to.

-port port
    Port to connect to.

-socket socket
    Local unix socket file name to connect to. Can be used instead of host/port for making connections to local servers.

-user user
    User name to auth with.

-password password
    Password to auth with.

  Alternate connection options:

-config config
    Override the default configuration with the specified configuration.

-id instanceid
    Derive connection info and credentials from the specified instance, as defined in the configuration.

-krb
    Use Kerberos authentication and encryption.

-krbservice svc
    Use the specified kerberos service.

-krbmech mech
    Use the specified kerberos mechanism.

-krbflags flags
    Use the specified kerberos flags, comma-separated.

-tls
    Use TLS/SSL authentication and encrpyiton.

-tlsversion version
    Use the specified TLS/SSL version.

-tlscert file
    Use the specified certificate chain file. This file should contain the client's certificate, private key, and signing certificates, as appropriate. On Windows systems, this must be a .pfx file. On non-Windows systems, a variety of file formats are supported.

-tlspassword pwd
    Use the specified password to acess the private key in the file specified by -tlscert.

-tlsciphers "list"
    Allow the specified list of ciphers. The list should be quoted and the ciphers should be separated by spaces.

-tlsvalidate (no|ca|ca+host|ca+domain)
    Certificate validation option. "no" - Don't validate the server's certificate. "ca" - Validate that the server's certificate was signed by a trusted certificate authority. "ca+host" - Perform "ca" validation and also validate that one of the subject alternate names (or common name if no SANs are present) in the certificate matches the host parameter. (Falls back to "ca" validation when a unix socket is used.) "ca+domain" - Perform "ca" validation and also validate that the domain name of one of the subject alternate naames (or common name if no SANs are present) in the certificate matches the domain name of the host parameter. (Falls back to "ca" validation when a unix socket is used.)

-tlsca file
    Use the specified certificate authority file when validating the server's certificate. Or, if "file" is a directory, then use all certificate authority files found in that directory when validating the server's certifictate.

-tlsdepth depth
    Set the maximum certificate chain validation depth to the specified depth.

  Command options:

-table tbl
    Export the specified table.

-sequence seq
    Export the specified sequence.

-format xml|csv
    Format the output as specified. Defaults to xml.

EXAMPLES
Export a table and sequence using the server at svr:9000 as usr/pwd.

    sqlr-export -host svr -port 9000 -user usr -password pwd \

    -table mytable > mytable.tbl

    sqlr-export -host svr -port 9000 -user usr -password pwd \

    -sequence myseq > myseq.seq

Export a table and sequence using the local server on socket /tmp/svr.sock as usr/pwd.

    sqlr-export -socket /tmp/svr.sock -user usr -password pwd \

    -table mytable > mytable.tbl

    sqlr-export -socket /tmp/svr.sock -user usr -password pwd \

    -sequence myseq > myseq.seq

Export a table and sequence using connection info and credentials from an instance defined in the default configuration.

    sqlr-export -id myinst -table mytable > mytable.tbl

    sqlr-export -id myinst -sequence myseq > myseq.seq

Export a table and sequence using connection info and credentials from an instance defined in the config file ./myconfig.conf

    sqlr-export -config ./myconfig.conf -id myinst \

    -table mytable > mytable.tbl

    sqlr-export -config ./myconfig.conf -id myinst \

    -sequence myseq > myseq.seq

Rudiments version: 1.4.0 Compiled: Aug 9 2021 22:13:29

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2018 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.